%{!?__python2:        %define __python2 /usr/bin/python2}
%{!?python2_sitelib:  %define python2_sitelib  %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %define python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%define modn   cffi
%define modv   0.8.6


Summary:       A FFI for Python calling C code
Name:          python-%{modn}
Version:       %{modv}
Release:       2%{?dist}%{?pext}
License:       MIT
Group:         Development/Libraries
Source0:       https://pypi.python.org/packages/source/c/%{modn}/%{modn}-%{modv}.tar.gz
URL:           https://pypi.python.org/pypi/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        The CFFI Team <python-cffi@googlegroups.com>
Provides:      python(%{modn}) = %{modv}
Requires:      python-pycparser >= 2.0.6
BuildRequires: python2-devel >= 2.6 python-setuptools
BuildRequires: python-pycparser >= 2.0.6 python-pytest
BuildRequires: libffi-devel


%description
Cffi is a C Foreign Function Interface (FFI) for Python, which provides
a convenient and reliable way to call compiled C code from Python using
interface declarations written in C.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__python2} -c 'import setuptools; execfile("setup.py")' build


%check
PYTHONPATH=$(echo build/lib.linux-*) py.test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__python2} -c 'import setuptools; execfile("setup.py")' install \
	--skip-build -O1 --root ${RPM_BUILD_ROOT}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc LICENSE
%{python2_sitearch}/%{modn}
%{python2_sitearch}/_cffi_backend.so
%{python2_sitearch}/*.egg-info


%changelog
* Mon Feb 16 2015 Peter Pramberger <peterpramb@member.fsf.org> - 0.8.6-2
- Added missing runtime dependencies

* Thu Jan 29 2015 Peter Pramberger <peterpramb@member.fsf.org> - 0.8.6-1
- Initial build
